Skip to main content
`Ctrl`+`K`

# MatISSetLocalMat

Replace the local matrix stored inside a `MATIS` object.

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatISSetLocalMat(Mat mat, Mat local)

Not Collective

## Input Parameters

- mat - the matrix

- local - the local matrix

## See Also

Matrices, `Mat`, `MATIS`, `MatISSetLocalMatType`, `MatISGetLocalMat()`

## Level

intermediate

## Location

src/mat/impls/is/matis.c

## Examples

src/ksp/ksp/tutorials/ex59.c

## Implementations

MatISSetLocalMat_IS() in src/mat/impls/is/matis.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages